summaryrefslogtreecommitdiffstats
path: root/collectors/tc.plugin/tc-qos-helper.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'collectors/tc.plugin/tc-qos-helper.sh.in')
-rwxr-xr-xcollectors/tc.plugin/tc-qos-helper.sh.in10
1 files changed, 5 insertions, 5 deletions
diff --git a/collectors/tc.plugin/tc-qos-helper.sh.in b/collectors/tc.plugin/tc-qos-helper.sh.in
index 50555c8b2..65d33153b 100755
--- a/collectors/tc.plugin/tc-qos-helper.sh.in
+++ b/collectors/tc.plugin/tc-qos-helper.sh.in
@@ -211,7 +211,7 @@ show_fireqos_names() {
if [ -f "${fireqos_run_dir}/ifaces/${x}" ]; then
name="$(<"${fireqos_run_dir}/ifaces/${x}")"
- echo "SETDEVICENAME ${name}"
+ echo "SETDEVICENAME ${name}" || exit
#shellcheck source=/dev/null
source "${fireqos_run_dir}/${name}.conf"
@@ -219,7 +219,7 @@ show_fireqos_names() {
# shellcheck disable=SC2086
setclassname ${n//|/ }
done
- [ -n "${interface_dev}" ] && echo "SETDEVICEGROUP ${interface_dev}"
+ [ -n "${interface_dev}" ] && echo "SETDEVICEGROUP ${interface_dev}" || exit
return 0
fi
@@ -230,7 +230,7 @@ show_fireqos_names() {
show_tc() {
local x="${1}"
- echo "BEGIN ${x}"
+ echo "BEGIN ${x}" || exit
# netdata can parse the output of tc
${tc} -s ${tc_show} show dev "${x}"
@@ -240,7 +240,7 @@ show_tc() {
show_fireqos_names "${x}" || show_tc_cls "${x}"
fi
- echo "END ${x}"
+ echo "END ${x}" || exit
}
find_tc_devices() {
@@ -289,7 +289,7 @@ while true; do
show_tc "${d}"
done
- echo "WORKTIME ${LOOPSLEEPMS_LASTWORK}"
+ echo "WORKTIME ${LOOPSLEEPMS_LASTWORK}" || exit
loopsleepms ${update_every}